# FindVoiceOver

Class in [Yarn.Unity](/2.0/api/csharp/yarn.unity.md)

Inherits from `System.Object`

## Summary

Provides methods for finding voice over `AudioClip` s in the project matching a Yarn linetag/string ID and a language ID.

```csharp
public static class FindVoiceOver
```

## Methods

| Name                                                                                                                                                                              | Description                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| [GetAsseetsInMatchingLanguageDirectory(string\[\],string)](/2.0/api/csharp/yarn.unity/yarn.unity.findvoiceover/yarn.unity.findvoiceover.getasseetsinmatchinglanguagedirectory.md) |                                                                                                              |
| [GetMatchingVoiceOverAudioClip(string,string)](/2.0/api/csharp/yarn.unity/yarn.unity.findvoiceover/yarn.unity.findvoiceover.getmatchingvoiceoveraudioclip.md)                     | Finds all voice over `AudioClip` s in the project with a filename matching a Yarn linetag and a language ID. |
| [SearchAssetDatabase(string,string)](/2.0/api/csharp/yarn.unity/yarn.unity.findvoiceover/yarn.unity.findvoiceover.searchassetdatabase.md)                                         |                                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.findvoiceover.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
